Bug 72038 - LOCALHELP: Unclear Help Text of Options “Number recognition” and “Number format recognition”
Summary: LOCALHELP: Unclear Help Text of Options “Number recognition” and “Number form...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:6.1.0
Keywords: needsDevEval
Depends on:
Blocks: HelpGaps-NewFeatures Help Writer-Tables-Number-Recognition
  Show dependency treegraph
 
Reported: 2013-11-26 14:20 UTC by Harald Koester
Modified: 2018-10-05 11:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2013-11-26 14:20:24 UTC
Problem description: 

The Help Text of the Writer options (Menu: Table > Number Format...) “Number recognition” and “Number format recognition” is not very specific and irritated me. Hence I propose to replace the existing text with:

< Beginning of description >

_Number recognition_

Determines that the number recognition in tables is active. A number category is assigned to each cell. Generally the number recognition only works in cells with number categories Percent, Currency, Date, Time, Scientific, Fraction and Boolean Value. The number recognition works as follows: 

(1) A number is always recognized, if the input is recognized as a valid number value with a unit according to the number category of the cell. The cell is formatted according the format assigned in the Number Format dialog. 
Examples: An input of “12 %” in a cell with category Percent changes to “12.00%” or an input “10/05/20” in category Date changes to “2010-05-20”.

(2) Furthermore a number is always recognized, if the input is a valid number value without a unit. The cell is formatted according the category and the format assigned in the Number Format dialog. (Hint: Value is converted, if category is Date or Time.)
Examples: An input of “12.345” in a cell with category Percent changes to “12.35%”, an input of “1234.56” in category Currency changes to “$1,234.56” or an input “23456.78” in category Date or Time changes to “03/20/1964 18:43:12”.

(3) If the option “Number format recognition” is marked, an inputted number with a unit is also recognized even the unit is different to the number format of the cell. The unit has to be in accordance with a unit of one of the categories. The category changes according to the inputted unit. The cell is formatted with a default format of the according category.
Example: An Input of “12.345%” in a cell with the category Currency changes to category Percent and “12.35%” is displayed.

(4) With all other inputs the number category changes to “Text” and the inputted text is not changed.
If “Number recognition” is not active, all inputted numbers are always saved in text format.

< End of description >

I made this proposal already in bug 48758. Hence in that bug several problems are described, I split those problems into different bug reports. This report is one of them.
              
Operating System: Windows 7
Version: 4.1.3.2 release
Comment 1 Cor Nouws 2013-12-24 09:31:07 UTC
thanks Harald > new
Comment 2 Joel Madero 2014-02-27 23:03:38 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 3 Robinson Tryon (qubit) 2015-04-30 13:09:08 UTC
(correcting Whiteboard)
Comment 4 Robinson Tryon (qubit) 2015-12-14 06:08:42 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-01-03 19:48:12 UTC Comment hidden (obsolete)
Comment 6 Harald Koester 2017-02-20 13:35:20 UTC
Problem still exists in version 5.3.0.
Comment 7 Commit Notification 2018-03-09 16:39:38 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=3f82ba1d59d3bf4aa5e347f8dfb76f79ffd68bb0

tdf#72038 Improve number format recognition help
Comment 8 Harald Koester 2018-10-05 11:41:05 UTC
Checked with version 6.1.2 (64 bit, Win 10). 
An improved version of the help text is displayed now. Hence bug closed.